//: Playground - noun: a place where people can play

import UIKit
import Foundation
/*
// Eine einfache for-Schleife
for lauf in 1...5
{
   print("Hallo Schleife!")
}
*/

var zaehler = 0
for lauf in 1...5
{
    // Der aktuelle Wert von zaehler wird ausgegeben
    print("Der Wert ist \(lauf).")
    
    // Hier wird der Wert der Variablen zaehler
    // bei jedem Schleifendurchlauf um 1 erhöht
    zaehler += 1
}
print("Das waren \(zaehler) Durchläufe.")



/*
// Eine Schleife mit einem halb geöffneten Bereich
for lauf in 1..<5
{
    print("Der Wert ist \(lauf).")
}

// Eine Schleife mit Konstanten zu Definition des Bereiches
let startwert = 10 
let endwert = 15
// Den Bereich rückwärts durchlaufen
for lauf in (startwert...endwert).reversed()
{
    print("Der Wert ist \(lauf).")
}

// Ein Bereich, der einer Konstanten zugewiesen wird
let bereich:ReversedRandomAccessCollection = (startwert...endwert).reversed()
for lauf in bereich
{
    print("Der Wert ist \(lauf).")
    
    if lauf == 5
    {
       break
    }
}
print("Schleife beendet")

*/
 
for lauf in 0..<100
{
    let sinWert = sin(Double(lauf) * 0.1)
}


/*

// Vorzeitiger Abbruch einer Schleife mit break
for lauf in 10...20
{
    print("Der Wert ist \(lauf).")
    
    if lauf == 15
    {
        break
    }
}
print("Schleife beendet")


// Einen Schleifendurchlauf beenden mit continue
for lauf in 10...20
{
    if lauf == 12 || lauf == 18
    {
        continue
    }
    
    print("Der Wert ist \(lauf).")
}
print("Schleife beendet")
*/
